.Net4.8のパソコンで4.7.2と3.5SP1にインストールしなおしたい。

Category: fx general_ja

Question

ピカチョウ on Wed, 25 Sep 2019 03:00:58


ご質問させて頂きます。

Windows10Proのパソコンを購入しました。

業務で必須となるバージョンが4.7.2と3.5SP1が必要になりました。

3.5SP1はインストールできましたが4.7.2をインストールしようとすると

「4.7.2またはそれ以降の更新プログラムが既にインストールされています」が表示されます。

そのため、コンパネからプログラムの一覧から.Netをアンインストールしようとしましたが、

.Netが見つかりません。3.5SP1も表示されませんでした。

.Net3.5SP1と4.7.2をインストールする方法を教えて頂けませんでしょうか?

なお、コンパネからプログラムの一覧で、「Windowsの有効化または無効化」を選択すると

3.5と4.8のチェックボックスが有効になっていますが、関連していますでしょうか?

よろしくお願い致します。

Replies

佐祐理 on Wed, 25 Sep 2019 03:47:07


Overview of .NET Framework release historyを見るとわかりますが、Windows 10 v1903は.NET Framework 4.8を標準搭載しています。4.7.2に戻すためにはWindows 10 v1809以前のバージョンでOS再インストールが必要です。

ShiroYuki_Mot on Wed, 25 Sep 2019 05:10:56


ピカチョウ さま よろしく。

.NET Framework 4.8 は下位の 4 から 4.7.2 を内包している為、
基本的には、4.7.2 に置き換える必要は無い筈です。
OS v1903 の場合、同 3.5SP1 さえ導入すれば、事足りる気がします。
その状態で、不具合が生じないか、検証して見ては如何でしょうか?。

Haruka6002 on Fri, 27 Sep 2019 08:12:50


ピカチョウさん、こんにちは。フォーラムオペレーターのHarukaです。
MSDNフォーラムにご投稿くださいましてありがとうございます。

ご質問いただいた件ですが、その後いかがでしょうか。
佐祐理さんから寄せられた投稿はお役に立ちましたか。

参考になった投稿には [回答としてマーク] をお願い致します。

設定いただくことで、
他のユーザーもお役に立つ回答を見つけやすくなります。

お手数ですが、ご協力の程どうかよろしくお願いいたします。


MSDN/ TechNet Community Support Haruka

~参考になった投稿には「回答としてマーク」をご設定ください。なかった場合は「回答としてマークされていない」も設定できます。同じ問題で後から参照した方が、情報を見つけやすくなりますので、
ご協力くださいますようお願いいたします。また、MSDNサポートに賛辞や苦情がある場合は、MSDNFSF@microsoft.comまでお気軽にお問い合わせください。~